/* HelpWindowController */

#import <Cocoa/Cocoa.h>
#import "HVCategory.h"
#import "HVNavigation.h"

@interface HelpWindowController : NSWindowController
{
    IBOutlet id htmlView;
    IBOutlet id structureDrawer;
    IBOutlet id structureOutline;
	NSXMLParser *_xmlReader;
	NSMutableArray *_categories;
	NSMutableArray *_topics;
	NSMutableString *_contents;
	NSMutableString *_xml;
	NSMutableString *_title;
	NSURL *_baseURL;
	id object;
	IBOutlet id backForward;
	IBOutlet id home;
	IBOutlet id searchBar;
	IBOutlet id structure;
	HVCategory *_rootCat;
	HVNavigation *_navigation;
	IBOutlet id back;
	IBOutlet id forward;
}
- (void)loadWithURL:(NSURL*)urlToDoc;
- (NSString*)contentAtIndex:(int)index;
- (void)setupToolbar;
- (id)objectForUniqueID:(NSString*)uniqueID inArray:(NSArray*)objArray;
- (id)categoryForIdentity:(NSString*)iden inArray:(NSArray*)catArray;
- (NSImage*)imageNamed:(NSString*)name;
- (NSString*)uniqueID;
- (IBAction)search:(id)sender;
- (IBAction)home:(id)sender;
- (void)updateButtons;
@end
