//
//  NSString-Searching.h
//  Library
//
//  Created by Andrew Kazmierski on Mon Jun 28 2004.
//  Copyright (c) 2004 Delicious Monster Software, LLC. All rights reserved.
//
//  This method of searching for strings should be faster than using rangeOfString:options:.
//  Less stuff has to be done than in rangeOfString:options:, and this gets to the point of what we want done.
//  Note: This is specifically case insensitive for our purposes.
//

#import <Foundation/Foundation.h>

@interface NSString (DMStringSearching)
- (BOOL)containsString:(NSString *)string;
@end